Bug 209004 - Plasma crashed after Amarok was closed [Plasma::DataContainer::setData, PlayerContainer::updateInfo]
Summary: Plasma crashed after Amarok was closed [Plasma::DataContainer::setData, Playe...
Status: RESOLVED WORKSFORME
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-nowplaying (show other bugs)
Version: 4.7.0
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 217747 248932 259692 263537 265550 265663 269174 272654 273824 274234 274267 277253 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-09-30 17:59 UTC by Brian Beck
Modified: 2012-05-17 10:31 UTC (History)
30 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (5.26 KB, text/plain)
2011-01-20 15:12 UTC, Diego Agulló
Details
New crash information added by DrKonqi (8.50 KB, text/plain)
2011-02-16 12:44 UTC, Kristjan Ugrin
Details
New crash information added by DrKonqi (12.43 KB, text/plain)
2011-03-09 13:20 UTC, Stephan Menzel
Details
New crash information added by DrKonqi (7.73 KB, text/plain)
2011-05-20 10:20 UTC, gerjoker
Details
New crash information added by DrKonqi (7.15 KB, text/plain)
2011-05-29 23:55 UTC, Vadym Krevs
Details
New crash information added by DrKonqi (6.62 KB, text/plain)
2011-06-01 14:29 UTC, ninoslav
Details
New crash information added by DrKonqi (19.49 KB, text/plain)
2011-06-07 21:25 UTC, Artem
Details
Fix the cover issue with the nowplaying widget. (510 bytes, patch)
2011-08-02 17:34 UTC, Cesar Garcia
Details
New crash information added by DrKonqi (17.87 KB, text/plain)
2011-09-16 21:20 UTC, Kyle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Beck 2009-09-30 17:59:06 UTC
Application that crashed: plasma-desktop
Version of the application: 0.3
KDE Version: 4.3.1 (KDE 4.3.1)
Qt Version: 4.5.2
Operating System: Linux 2.6.28-15-generic x86_64
Distribution: Ubuntu 9.04

What I was doing when the application crashed:
I was listening to my Last.fm recommendations in Amarok.  I have the Now Rocking plasmoid running and docked into my panel.  I noticed that the cover of the album was one off, that is Now Rocking was displaying the cover of the previous song rather than the current song.  So I shutdown Amarok with the intention of restarting it hopefully to get the covers synced again.  That's when plasma crashed.

 -- Backtrace:
Application: Plasma Workspace (kdeinit4), signal: Segmentation fault
[KCrash Handler]
#5  Plasma::DataContainer::setData (this=0x3cf9200, key=@0x7fff4bfac220, value=@0x7fff4bfac130) at /usr/include/qt4/QtCore/qbasicatomic.h:69
#6  0x00007fe51f4d0482 in ?? () from /usr/lib/kde4/plasma_engine_nowplaying.so
#7  0x00007fe51f4d078d in ?? () from /usr/lib/kde4/plasma_engine_nowplaying.so
#8  0x00007fe543aafea2 in QMetaObject::activate (sender=0x3cf9200, from_signal_index=<value optimized out>, to_signal_index=6, argv=0x4d01f90) at kernel/qobject.cpp:3113
#9  0x00007fe53b3df272 in Plasma::DataContainer::updateRequested (this=0x4d02f40, _t1=0x3cf9200) at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/plasma/datacontainer.moc:107
#10 0x00007fe53b40ad33 in Plasma::SignalRelay::timerEvent (this=0x2c46c80, event=<value optimized out>) at /build/buildd/kde4libs-4.3.1/plasma/private/datacontainer_p.cpp:149
#11 0x00007fe543aaa263 in QObject::event (this=0x2c46c80, e=0xae) at kernel/qobject.cpp:1075
#12 0x00007fe541060f4d in QApplicationPrivate::notify_helper (this=0x2492d40, receiver=0x2c46c80, e=0x7fff4bfacb30) at kernel/qapplication.cpp:4056
#13 0x00007fe54106918a in QApplication::notify (this=0x2453ec0, receiver=0x2c46c80, e=0x7fff4bfacb30) at kernel/qapplication.cpp:4021
#14 0x00007fe542173deb in KApplication::notify (this=0x2453ec0, receiver=0x2c46c80, event=0x7fff4bfacb30) at /build/buildd/kde4libs-4.3.1/kdeui/kernel/kapplication.cpp:302
#15 0x00007fe543a9a6ac in QCoreApplication::notifyInternal (this=0x2453ec0, receiver=0x2c46c80, event=0x7fff4bfacb30) at kernel/qcoreapplication.cpp:610
#16 0x00007fe543ac7516 in QTimerInfoList::activateTimers (this=0x24962e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#17 0x00007fe543ac3b2d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:165
#18 0x00007fe53faf420a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0x00007fe53faf78e0 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0x00007fe53faf7a7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0x00007fe543ac3a8f in QEventDispatcherGlib::processEvents (this=0x2492870, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#22 0x00007fe5410f9bdf in QGuiEventDispatcherGlib::processEvents (this=0x4d02f40, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#23 0x00007fe543a98f42 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1274727840}) at kernel/qeventloop.cpp:149
#24 0x00007fe543a99314 in QEventLoop::exec (this=0x7fff4bfacde0, flags={i = 1274727920}) at kernel/qeventloop.cpp:201
#25 0x00007fe543a9b5e4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#26 0x00007fe5387273eb in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
#27 0x0000000000407215 in launch (argc=1, _name=0x2446d68 "/usr/bin/plasma-desktop", args=<value optimized out>, cwd=0x0, envc=0, envs=0x2446d88 "", reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x40a3a1 "0") at /build/buildd/kde4libs-4.3.1/kinit/kinit.cpp:677
#28 0x0000000000407a38 in handle_launcher_request (sock=7, who=<value optimized out>) at /build/buildd/kde4libs-4.3.1/kinit/kinit.cpp:1169
#29 0x0000000000407fe5 in handle_requests (waitForPid=0) at /build/buildd/kde4libs-4.3.1/kinit/kinit.cpp:1362
#30 0x0000000000408b26 in main (argc=2, argv=0x7fff4bfadc88, envp=0x7fff4bfadca0) at /build/buildd/kde4libs-4.3.1/kinit/kinit.cpp:1793

Reported using DrKonqi
Comment 1 Dario Andres 2009-09-30 20:07:59 UTC
#5  Plasma::DataContainer::setData (this=0x3cf9200, key=@0x7fff4bfac220,
value=@0x7fff4bfac130) at /usr/include/qt4/QtCore/qbasicatomic.h:69
#6  0x00007fe51f4d0482 in ?? () from /usr/lib/kde4/plasma_engine_nowplaying.so
#7  0x00007fe51f4d078d in ?? () from /usr/lib/kde4/plasma_engine_nowplaying.so
#8  0x00007fe543aafea2 in QMetaObject::activate (sender=0x3cf9200,
from_signal_index=<value optimized out>, to_signal_index=6, argv=0x4d01f90) at
kernel/qobject.cpp:3113

It seems the error is in the NowPlaying data engine.

If you can reproduce the crash at will (or you experience this regularly), can you install the "kdeplasma-addons-dbg", "kdebase-workspace-dbg" packages and post a complete backtrace here? Thanks
Comment 2 Brian Beck 2009-09-30 22:05:54 UTC
Here's the backtrace with the additional packages installed:


Application: Plasma Workspace (kdeinit4), signal: Segmentation fault
[Current thread is 0 (LWP 3688)]

Thread 2 (Thread 0x7f40f2d76950 (LWP 4743)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
#1  0x00007f411ac0acf7 in QWaitCondition::wait (this=0x1c2ada8, mutex=0x1c2ada0, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  0x00007f411ac00929 in QThreadPoolThread::run (this=0x1d2f5a0) at concurrent/qthreadpool.cpp:140
#3  0x00007f411ac09d35 in QThreadPrivate::start (arg=0x1d2f5a0) at thread/qthread_unix.cpp:188
#4  0x00007f4116afe3ba in start_thread (arg=<value optimized out>) at pthread_create.c:297
#5  0x00007f41176e2fcd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f411b1c8750 (LWP 3688)):
[KCrash Handler]
#5  Plasma::DataContainer::setData (this=0x1c377c0, key=@0x7fff23205d60, value=@0x7fff23205c70) at /usr/include/qt4/QtCore/qhash.h:281
#6  0x00007f40f92bf482 in PlayerContainer::updateInfo (this=0x1c377c0) at /build/buildd/kdebase-workspace-4.3.1/plasma/dataengines/nowplaying/playercontainer.cpp:76
#7  0x00007f40f92bf78d in PlayerContainer::qt_metacall (this=0x1c377c0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=<value optimized out>)
    at /build/buildd/kdebase-workspace-4.3.1/obj-x86_64-linux-gnu/plasma/dataengines/nowplaying/playercontainer.moc:68
#8  0x00007f411ad08ea2 in QMetaObject::activate (sender=0x1c377c0, from_signal_index=<value optimized out>, to_signal_index=6, argv=0xc92ba0) at kernel/qobject.cpp:3113
#9  0x00007f4112638272 in Plasma::DataContainer::updateRequested (this=0xd22620, _t1=0x1c377c0) at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/plasma/datacontainer.moc:107
#10 0x00007f4112663d33 in Plasma::SignalRelay::timerEvent (this=0x13a22c0, event=<value optimized out>) at /build/buildd/kde4libs-4.3.1/plasma/private/datacontainer_p.cpp:149
#11 0x00007f411ad03263 in QObject::event (this=0x13a22c0, e=0xae) at kernel/qobject.cpp:1075
#12 0x00007f41182b9f4d in QApplicationPrivate::notify_helper (this=0x978d20, receiver=0x13a22c0, e=0x7fff23206670) at kernel/qapplication.cpp:4056
#13 0x00007f41182c218a in QApplication::notify (this=0x939eb0, receiver=0x13a22c0, e=0x7fff23206670) at kernel/qapplication.cpp:4021
#14 0x00007f41193ccdeb in KApplication::notify (this=0x939eb0, receiver=0x13a22c0, event=0x7fff23206670) at /build/buildd/kde4libs-4.3.1/kdeui/kernel/kapplication.cpp:302
#15 0x00007f411acf36ac in QCoreApplication::notifyInternal (this=0x939eb0, receiver=0x13a22c0, event=0x7fff23206670) at kernel/qcoreapplication.cpp:610
#16 0x00007f411ad20516 in QTimerInfoList::activateTimers (this=0x97c2c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#17 0x00007f411ad1cb2d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:165
#18 0x00007f4116d4d20a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0x00007f4116d508e0 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0x00007f4116d50a7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0x00007f411ad1ca8f in QEventDispatcherGlib::processEvents (this=0x978850, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#22 0x00007f4118352bdf in QGuiEventDispatcherGlib::processEvents (this=0xd22620, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#23 0x00007f411acf1f42 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 589326560}) at kernel/qeventloop.cpp:149
#24 0x00007f411acf2314 in QEventLoop::exec (this=0x7fff23206920, flags={i = 589326640}) at kernel/qeventloop.cpp:201
#25 0x00007f411acf45e4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#26 0x00007f410f9803eb in kdemain (argc=1, argv=0x8e3e00) at /build/buildd/kdebase-workspace-4.3.1/plasma/shells/desktop/main.cpp:50
#27 0x0000000000407215 in launch (argc=1, _name=0x92cf88 "/usr/bin/plasma-desktop", args=<value optimized out>, cwd=0x0, envc=0, envs=0x92cfa8 "", reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x40a3a1 "0") at /build/buildd/kde4libs-4.3.1/kinit/kinit.cpp:677
#28 0x0000000000407a38 in handle_launcher_request (sock=7, who=<value optimized out>) at /build/buildd/kde4libs-4.3.1/kinit/kinit.cpp:1169
#29 0x0000000000407fe5 in handle_requests (waitForPid=0) at /build/buildd/kde4libs-4.3.1/kinit/kinit.cpp:1362
#30 0x0000000000408b26 in main (argc=2, argv=0x7fff232077c8, envp=0x7fff232077e0) at /build/buildd/kde4libs-4.3.1/kinit/kinit.cpp:1793
Comment 3 Dario Andres 2009-09-30 22:09:32 UTC
Thanks
Comment 4 Mark Kretschmann 2009-10-21 22:18:37 UTC
I can confirm this issue. I'm getting the same crash quite often. Here's a recent backtrace, with KDE 4.3.2:


Thread 1 (Thread 0x7f92675f1750 (LWP 18353)):
[KCrash Handler]
#5  QBasicAtomicInt::operator!= (this=0xda8b50, key=..., value=...) at /usr/include/qt4/QtCore/qbasicatomic.h:69
#6  QHash<QString, QVariant>::detach (this=0xda8b50, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:281
#7  QHash<QString, QVariant>::operator[] (this=0xda8b50, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:717
#8  Plasma::DataContainer::setData (this=0xda8b50, key=..., value=...) at ../../plasma/datacontainer.cpp:53
#9  0x00007f9245e458aa in PlayerContainer::updateInfo (this=0xda8b50) at ../../../../plasma/dataengines/nowplaying/playercontainer.cpp:76
#10 0x00007f9245e45ba0 in PlayerContainer::qt_metacall (this=0xda8b50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value optimized out>) at ./playercontainer.moc:68
#11 0x00007f926712eddc in QMetaObject::activate (sender=0xda8b50, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1894628) at kernel/qobject.cpp:3113
#12 0x00007f925ec3ac02 in Plasma::DataContainer::updateRequested (this=0x18c8130, _t1=0xda8b50) at ./datacontainer.moc:107
#13 0x00007f925ec66943 in Plasma::SignalRelay::timerEvent (this=0x1f9e6f0, event=<value optimized out>) at ../../plasma/private/datacontainer_p.cpp:149
#14 0x00007f9267128d83 in QObject::event (this=0x1f9e6f0, e=0x1) at kernel/qobject.cpp:1075
#15 0x00007f92650c9efc in QApplicationPrivate::notify_helper (this=0xbff9e0, receiver=0x1f9e6f0, e=0x7fff97268000) at kernel/qapplication.cpp:4056
#16 0x00007f92650d11ce in QApplication::notify (this=0xbf6800, receiver=0x1f9e6f0, e=0x7fff97268000) at kernel/qapplication.cpp:4021
#17 0x00007f9265d00ab6 in KApplication::notify (this=0xbf6800, receiver=0x1f9e6f0, event=0x7fff97268000) at ../../kdeui/kernel/kapplication.cpp:302
#18 0x00007f9267119c2c in QCoreApplication::notifyInternal (this=0xbf6800, receiver=0x1f9e6f0, event=0x7fff97268000) at kernel/qcoreapplication.cpp:610
#19 0x00007f9267144862 in QCoreApplication::sendEvent (this=0xc02e40) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#20 QTimerInfoList::activateTimers (this=0xc02e40) at kernel/qeventdispatcher_unix.cpp:572
#21 0x00007f926714225d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:165
#22 0x00007f9263ffabbe in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#23 0x00007f9263ffe588 in ?? () from /lib/libglib-2.0.so.0
#24 0x00007f9263ffe6b0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#25 0x00007f92671421a6 in QEventDispatcherGlib::processEvents (this=0xb6e040, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#26 0x00007f926515e4be in QGuiEventDispatcherGlib::processEvents (this=0x18c8130, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#27 0x00007f9267118532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#28 0x00007f9267118904 in QEventLoop::exec (this=0x7fff972682a0, flags=) at kernel/qeventloop.cpp:201
#29 0x00007f926711aab9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#30 0x00007f925b49b4cf in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../../plasma/shells/desktop/main.cpp:50
#31 0x0000000000406da8 in launch (argc=1, _name=<value optimized out>, args=<value optimized out>, cwd=<value optimized out>, envc=0, envs=<value optimized out>, reset_env=false, tty=0x0, 
    avoid_loops=false, startup_id_str=0x40a299 "0") at ../../kinit/kinit.cpp:677
#32 0x0000000000407aa0 in handle_launcher_request (sock=8, who=<value optimized out>) at ../../kinit/kinit.cpp:1169
#33 0x0000000000407f51 in handle_requests (waitForPid=0) at ../../kinit/kinit.cpp:1362
#34 0x0000000000408bb2 in main (argc=2, argv=<value optimized out>, envp=<value optimized out>) at ../../kinit/kinit.cpp:1793
The current source language is "auto; currently asm".
The current source language is "auto; currently c".
Comment 5 Dario Andres 2009-12-10 14:19:52 UTC
From bug 217747:
---
What I was doing when the application crashed:

- Started amarok after upgrading to 2.2.1-2  / Arch Linux i686
- Tried starting a last.fm radio station
- Amarok was unable to play even a single track from this stream with the
effect of more or less skipping each song after less than a second
- The plasma add-ons from amaroks context panel (Current track, lyrics,
wikipedia and video) were updated partially, e.g. for some tracks the 
lyrics were loaded, etc.
- Since Amarok did not stop this behaviour after stopping the playback
and clearing the playlist, I quit Amarok via the "quit" option in the context
menu of the systray icon
Comment 6 Dario Andres 2009-12-10 14:19:56 UTC
*** Bug 217747 has been marked as a duplicate of this bug. ***
Comment 7 Alex Merry 2010-03-19 21:25:01 UTC
Does this still happen with KDE 4.4?

It looks like a potential issue with Plasma::DataEngine (and, in particular, Plasma::SignalRelay).  I think that Plasma::DataEngine is getting signals (via SignalRelay) when it's already been deleted.
Comment 8 Brian Beck 2010-03-19 22:08:29 UTC
I am a non-paying Last.fm user, so I haven't been able to stream through Amarok for awhile.  If anyone is a paying customer, they should be able to stream and determine if there is still a bug.
Comment 9 Dario Andres 2010-11-15 20:03:03 UTC
[Comment from a bug triager]
Bug 248932 looks related to this issue.
Comment 10 Dario Andres 2010-12-13 13:10:30 UTC
[Comment from a bug triager]
New case from bug 259692 (KDE SC 4.4.3):
-- Information about the crash:
I use Amarok 2.4 beta 1 built from sources. After quiting from Amarok while it
was playing track, plasma crashed. Also, I was using "Now Rocking" widget on my
desktop.

 -- Backtrace:
[KCrash Handler]
#5  0x00007fa4c06f2786 in isEmpty (this=0x17ff800, akey=...) at
/usr/lib/qt4/include/QtCore/qhash.h:293
#6  QHash<QString, QVariant>::remove (this=0x17ff800, akey=...) at
/usr/lib/qt4/include/QtCore/qhash.h:779
#7  0x00007fa4c06f1633 in Plasma::DataContainer::setData (this=0x1907240,
key=..., value=...) at /usr/src/debug/kdelibs-4.4.3/plasma/datacontainer.cpp:51
#8  0x00007fa4a2af2a96 in PlayerContainer::updateInfo (this=0x1907240) at
/usr/src/debug/kdebase-workspace-4.4.3/plasma/generic/dataengines/nowplaying/playercontainer.cpp:76
#9  0x00007fa4a2af2d20 in PlayerContainer::qt_metacall (this=0x1907240,
_c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value
optimized out>)
    at
/usr/src/debug/kdebase-workspace-4.4.3/build/plasma/generic/dataengines/nowplaying/playercontainer.moc:74
...
Comment 11 Dario Andres 2010-12-13 13:12:39 UTC
[Comment from a bug triager]
And new cases from bug 248932 (KDE SC 4.5.x):
- What I was doing when the application crashed:

I've quit Amarok using Ctrl-Q (because of another bug I am about to report
against amarok); this happened twice, but not the third time.

-- Backtrace (Reduced):
#7  detach (this=0xaac8880, key=..., value=...) at
/usr/include/qt4/QtCore/qhash.h:299
#8  insert (this=0xaac8880, key=..., value=...) at
/usr/include/qt4/QtCore/qhash.h:753
#9  Plasma::DataContainer::setData (this=0xaac8880, key=..., value=...) at
../../plasma/datacontainer.cpp:53
#10 0xa6a6559a in PlayerContainer::updateInfo (this=0xaac8880) at
../../../../../plasma/generic/dataengines/nowplaying/playercontainer.cpp:76
#11 0xa6a65831 in PlayerContainer::qt_metacall (this=0xaac8880,
_c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbfe54538) at
./playercontainer.moc:74
...

- What I was doing when the application crashed:
Amarok was playing music and Now Widget
(http://opendesktop.org/content/show.php?content=106304) was activated. I have
quited Amarok and plasma crashed. Also, widget showed no album cover but
should. This crash can be reproduced.
Comment 12 Dario Andres 2010-12-13 13:12:53 UTC
*** Bug 248932 has been marked as a duplicate of this bug. ***
Comment 13 Dario Andres 2010-12-13 13:13:23 UTC
*** Bug 259692 has been marked as a duplicate of this bug. ***
Comment 14 Diego Agulló 2011-01-20 15:12:57 UTC
Created attachment 56240 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

Just attaching the backtrace, as the replicatin procedure was almost the same than the opener said. I also noticed a huge amount of "copying" dialogs previous to the moment when plasma crashed right after trying to close Amarok.

-- Backtrace (Reduced):
#6  detach (this=0x2fc49b0, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:299
#7  insert (this=0x2fc49b0, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:753
#8  Plasma::DataContainer::setData (this=0x2fc49b0, key=..., value=...) at ../../plasma/datacontainer.cpp:53
#9  0x00007fb26d077ae6 in PlayerContainer::updateInfo (this=0x2fc49b0) at ../../../../../plasma/generic/dataengines/nowplaying/playercontainer.cpp:76
#10 0x00007fb26d077d70 in PlayerContainer::qt_metacall (this=0x2fc49b0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value optimized out>) at ./playercontainer.moc:74
Comment 15 Dario Andres 2011-02-06 18:08:29 UTC
[Comment from a bug triager]
- Updated backtrace from bug 265550 (KDE SC 4.6):
[KCrash Handler]
#6  operator!= (this=0x2f826b0, key=..., value=...) at
/usr/include/qt4/QtCore/qbasicatomic.h:75
#7  detach (this=0x2f826b0, key=..., value=...) at
/usr/include/qt4/QtCore/qhash.h:299
#8  insert (this=0x2f826b0, key=..., value=...) at
/usr/include/qt4/QtCore/qhash.h:753
#9  Plasma::DataContainer::setData (this=0x2f826b0, key=..., value=...) at
../../plasma/datacontainer.cpp:51
#10 0x00007f116820e4e0 in PlayerContainer::updateInfo (this=0x2f826b0) at
../../../../../plasma/generic/dataengines/nowplaying/playercontainer.cpp:79
#11 0x00007f116820e770 in PlayerContainer::qt_metacall (this=0x2f826b0,
_c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value
optimized out>) at ./playercontainer.moc:74
#12 0x00007f1194934b27 in QMetaObject::activate (sender=0x2f826b0, m=<value
optimized out>, local_signal_index=<value optimized out>, argv=0x7f116821e847)
at kernel/qobject.cpp:3280
#13 0x00007f11970f9422 in Plasma::DataContainer::updateRequested
(this=0x2f826b0, _t1=0x2f826b0) at ./datacontainer.moc:126
#14 0x00007f1197137de3 in Plasma::SignalRelay::timerEvent (this=0x1b236f0,
event=<value optimized out>) at ../../plasma/private/datacontainer_p.cpp:155
Comment 16 Dario Andres 2011-02-06 18:08:38 UTC
*** Bug 265550 has been marked as a duplicate of this bug. ***
Comment 17 Cyril Brosch 2011-02-06 19:00:04 UTC
*** Bug 263537 has been marked as a duplicate of this bug. ***
Comment 18 Maarten ter Huurne 2011-02-09 17:05:03 UTC
I got the same crash with KDE 4.6.0 and Amarok 2.4.0, the backtrace matches the one from comment #15. I'm running openSUSE 11.3 on x86-64. Amarok was paused when the crash happened.

Before the crash, I got a lot of file transfer notifications, a few seconds between each one, with plasma-desktop shown as the initiating application (yellow cashew icon). Since this problem had occurred before, I was running plasma-desktop in a Konsole tab and this was printed there dozens of times prior to the crash:

plasma-desktop(7853)/plasma Mpris::artwork: "The process for the file protocol died unexpectedly." 

I don't know if this problem is related to the crash though. I haven't seen this problem before 4.6.0 and the crash was originally reported on 4.3.1.
Comment 19 Kristjan Ugrin 2011-02-16 12:44:29 UTC
Created attachment 57290 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1

- Unusual behavior I noticed:

Notification widgets starts flooding with:
File: finished

messages, nothing more. When I close amarok, flooding stops and then plasma crashes.
Seems like it is due to now playing widget

-- Backtrace (Reduced):
#6  operator!= (this=0x1e1a190, key=..., value=...) at /usr/include/QtCore/qbasicatomic.h:75
#7  detach (this=0x1e1a190, key=..., value=...) at /usr/include/QtCore/qhash.h:299
#8  insert (this=0x1e1a190, key=..., value=...) at /usr/include/QtCore/qhash.h:754
#9  Plasma::DataContainer::setData (this=0x1e1a190, key=..., value=...) at /usr/src/debug/kdelibs-4.6.0/plasma/datacontainer.cpp:51
#10 0x00007fdc0d432ff4 in PlayerContainer::updateInfo (this=0x1e1a190) at /usr/src/debug/kdebase-workspace-4.6.0/plasma/generic/dataengines/nowplaying/playercontainer.cpp:79
Comment 20 Dario Andres 2011-02-20 00:25:07 UTC
[Comment from a bug triager]
From bug 265663:
- What I was doing when the application crashed:
Amarok started sending a lot of "Cannot create I/O Slave" errors. When i opened
the context menu for the icon to close it, plasma crashed. 

- Unusual behavior I noticed:
All those errors with amarok, they were a lot, like 20 (They opened and closed
very fast).
Comment 21 Dario Andres 2011-02-20 00:25:17 UTC
*** Bug 265663 has been marked as a duplicate of this bug. ***
Comment 22 styx 2011-02-21 21:56:55 UTC
Seems like removing the now playing applet fixes the issue!

Im using Amarok-2.4 on amd64 gentoo with kde4.6
Comment 23 Stephan Menzel 2011-03-09 13:20:27 UTC
Created attachment 57798 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

- What I was doing when the application crashed:

I closed Amarok after unusual behaviour occured

- Unusual behavior I noticed:

In the event notification icon (i) there was an increasing number of seeminly empty notifications that merely contained a message like "file:/" and nothing else. more and more of these kept popping up out of nowhere. This started with 4.6 and continues to happen with 4.6.1. The problem appears nearly every time I use Amarok, kinda rendering it useless for me right now.

-- Backtrace (Reduced):
#6  0x00007f04502c6b9a in QHashData::detach_helper2 (this=0x7b9ae00, node_duplicate=0x7f044600a974 <QHash<QString, QVariant>::duplicateNode(QHashData::Node*, void*)>, node_delete=0x7f044600a998 <QHash<QString, QVariant>::deleteNode2(QHashData::Node*)>, nodeSize=<value optimized out>, nodeAlign=8) at tools/qhash.cpp:229
#7  0x00007f044600973f in detach_helper (this=0x3807d30, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:582
#8  detach (this=0x3807d30, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:299
#9  insert (this=0x3807d30, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:754
#10 Plasma::DataContainer::setData (this=0x3807d30, key=..., value=...) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/plasma/datacontainer.cpp:51
Comment 24 Maarten ter Huurne 2011-03-09 18:10:48 UTC
(In reply to comment #23)
> In the event notification icon (i) there was an increasing number of seeminly
> empty notifications that merely contained a message like "file:/" and nothing
> else. more and more of these kept popping up out of nowhere. This started with
> 4.6 and continues to happen with 4.6.1. The problem appears nearly every time
> I use Amarok, kinda rendering it useless for me right now.

I had that problem too (see comment #18), but it disappeared when I removed the "now playing" plasma applet from my desktop (thanks, comment #22).
Comment 25 Stephan Menzel 2011-03-10 13:25:36 UTC
I can confirm that removing the applet indeed solves this.
Comment 26 mityi 2011-03-22 13:59:52 UTC
 I think I found the reason. If ID3 with a picture of album, plasmoid not show picture, and the process of copying appeared.
Comment 27 John Wheaton 2011-04-08 21:18:30 UTC
I am also experiencing this problem.  It causes a notification to constantly appear stating that some file is finished copying.  Sometimes I can close Amarok and this will go away, other times, it will not.

This ALWAYS happens with an album that does not show its artwork in the "Now Playing" applet.  It SOMETIMES happens with albums that do have displayable artwork.

Is there any update on when this will be fixed?  It has managed to affect the "Now Playing" applet so badly that I cannot delete it.  I'm not sure where to manually remove it either.  So now I either play songs that have artwork, or I use another media player.
Comment 28 John Wheaton 2011-04-08 21:30:46 UTC
AHA!  I found how to manually remove the applet from the desktop/workspace/thing!  In .kde/share/config/plasma-desktop-appletsrc there are entries for the "nowplaying" applet.  Remove the config blocks containing those entries*, save the file, and log out/in.  The applet will be gone.

* I had more than one due to trying to figure out how to get rid of it.
Comment 29 Dario Andres 2011-04-11 02:10:58 UTC
*** Bug 269174 has been marked as a duplicate of this bug. ***
Comment 30 Dario Andres 2011-05-10 01:13:48 UTC
*** Bug 272654 has been marked as a duplicate of this bug. ***
Comment 31 gerjoker 2011-05-20 10:20:28 UTC
Created attachment 60173 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Listening music in  amarok and the plasmoid nowplaying is active.
- Unusual behavior I noticed:
lots of windows with the message "copying"appeared and disappeared very annoying
- Custom settings of the application:
none

-- Backtrace (Reduced):
#7  detach (this=0x920fef8, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:299
#8  insert (this=0x920fef8, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:754
#9  Plasma::DataContainer::setData (this=0x920fef8, key=..., value=...) at ../../plasma/datacontainer.cpp:51
#10 0x0662616f in PlayerContainer::updateInfo (this=0x920fef8) at ../../../../../plasma/generic/dataengines/nowplaying/playercontainer.cpp:76
#11 0x066263d1 in PlayerContainer::qt_metacall (this=0x920fef8, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfa2a098) at ./playercontainer.moc:74
Comment 32 Aaron J. Seigo 2011-05-27 15:21:36 UTC
*** Bug 274234 has been marked as a duplicate of this bug. ***
Comment 33 Aaron J. Seigo 2011-05-27 15:21:39 UTC
*** Bug 274267 has been marked as a duplicate of this bug. ***
Comment 34 Aaron J. Seigo 2011-05-27 15:21:41 UTC
*** Bug 273824 has been marked as a duplicate of this bug. ***
Comment 35 Aaron J. Seigo 2011-05-27 16:51:52 UTC
Git commit 175778c51dcb3b1e24a650a91a0272345631a277 by Aaron Seigo.
Committed on 27/05/2011 at 16:33.
Pushed by aseigo into branch 'master'.

cache the last pixmap, don't try and load it ove rand over and over again

probably not the fix for the bug below, but certainly an improvement over the
reported behavior

BUG:209004

M  +30   -15   plasma/generic/dataengines/nowplaying/playerinterface/mpris/mpris.cpp     
M  +2    -0    plasma/generic/dataengines/nowplaying/playerinterface/mpris/mpris_p.h     

http://commits.kde.org/kde-workspace/175778c51dcb3b1e24a650a91a0272345631a277
Comment 36 Aaron J. Seigo 2011-05-27 16:56:49 UTC
oops, that should have been CCBUG!

btw, anyone here: if you can test with beta2 (or rc1, or whatever the pre-relesae after beta1 gets called) and report your findings that would be great!

(note: 4.7beta1 does NOT include the above commit)
Comment 37 Vadym Krevs 2011-05-29 23:55:57 UTC
Created attachment 60455 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.3 (4.6.3) "release 4" using Qt 4.7.3

- What I was doing when the application crashed:

Exited Amarok while it was playing a song. That's it.

-- Backtrace (Reduced):
#6  detach (this=0x1ab4c50, key=..., value=...) at /usr/include/QtCore/qhash.h:299
#7  insert (this=0x1ab4c50, key=..., value=...) at /usr/include/QtCore/qhash.h:754
#8  Plasma::DataContainer::setData (this=0x1ab4c50, key=..., value=...) at /usr/src/debug/kdelibs-4.6.3/plasma/datacontainer.cpp:51
#9  0x00007f0d171edf44 in PlayerContainer::updateInfo (this=0x1ab4c50) at /usr/src/debug/kdebase-workspace-4.6.3/plasma/generic/dataengines/nowplaying/playercontainer.cpp:76
#10 0x00007f0d171ee190 in PlayerContainer::qt_metacall (this=0x1ab4c50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.3/build/plasma/generic/dataengines/nowplaying/playercontainer.moc:74
Comment 38 ninoslav 2011-06-01 14:29:24 UTC
Created attachment 60536 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I just played mp3 files with amarok, also I use "Now Playing" on my desktop. Then I get a lot notifications "file transfer".

-- Backtrace (Reduced):
#7  detach (this=0xaa3f7e8, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:299
#8  insert (this=0xaa3f7e8, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:754
#9  Plasma::DataContainer::setData (this=0xaa3f7e8, key=..., value=...) at ../../plasma/datacontainer.cpp:51
#10 0x0778916f in PlayerContainer::updateInfo (this=0xaa3f7e8) at ../../../../../plasma/generic/dataengines/nowplaying/playercontainer.cpp:76
#11 0x077893d1 in PlayerContainer::qt_metacall (this=0xaa3f7e8, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf96e1f8) at ./playercontainer.moc:74
Comment 39 Artem 2011-06-07 21:25:48 UTC
Created attachment 60759 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

1. Listen to music on local library
2. Quit from Amarock 
3. crash report

-- Backtrace (Reduced):
#6  detach (this=0x2ec5c60, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:299
#7  insert (this=0x2ec5c60, key=..., value=...) at /usr/include/qt4/QtCore/qhash.h:754
#8  Plasma::DataContainer::setData (this=0x2ec5c60, key=..., value=...) at ../../plasma/datacontainer.cpp:51
#9  0x00007f10fff9c94b in PlayerContainer::updateInfo (this=0x2ec5c60) at ../../../../../plasma/generic/dataengines/nowplaying/playercontainer.cpp:76
#10 0x00007f10fff9cbd0 in PlayerContainer::qt_metacall (this=0x2ec5c60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value optimized out>) at ./playercontainer.moc:74
Comment 40 Dario Andres 2011-07-08 22:39:16 UTC
*** Bug 277253 has been marked as a duplicate of this bug. ***
Comment 41 Cesar Garcia 2011-08-02 17:33:27 UTC
The patch from comment #35 broke the nowplaying widget so it doesn't display the cover at all. Reverting this commit or changing the conditional in

m_artworkLoaded = oldArt != m_metadata.value("arturl");

makes it work again (i suppose that != is wrong because it must clear the flag when the old artwork and the new one is different and this does the opposite).
Comment 42 Cesar Garcia 2011-08-02 17:34:47 UTC
Created attachment 62476 [details]
Fix the cover issue with the nowplaying widget.
Comment 43 dagr 2011-08-27 11:33:39 UTC
(In reply to comment #42)
> Created an attachment (id=62476) [details]
> Fix the cover issue with the nowplaying widget.
Is this a fix? How do I insert the fix?
Comment 44 Robert Clark 2011-09-02 03:02:06 UTC
Just tried out the patch attached in comment #42 against KDE 4.7.0 and that seems to have cleared up the problem displaying album covers in the now playing plasmoid.

Also seem to have helped a bit with the excessive CPU usage I was seeing from that plasmoid.
Comment 45 Kyle 2011-09-16 21:20:11 UTC
Created attachment 63706 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- Unusual behavior I noticed:
KDE notifications began going crazy, repeatedly saying that it was working on a "desktop process"(I do not remember the exact name of it now, but it displayed the panel toolbox icon). The description of the activity was just "file" and I was not doing anything with any files at the time. It would populate about 20 of these, and when one finished, another would start. This started about 5 minutes before the crash.

-- Backtrace (Reduced):
#6  operator!= (this=0x1b4f890, key=..., value=...) at /usr/include/QtCore/qbasicatomic.h:75
#7  detach (this=0x1b4f890, key=..., value=...) at /usr/include/QtCore/qhash.h:299
#8  insert (this=0x1b4f890, key=..., value=...) at /usr/include/QtCore/qhash.h:754
#9  Plasma::DataContainer::setData (this=0x1b4f890, key=..., value=...) at /usr/src/debug/kdelibs-4.6.0/plasma/datacontainer.cpp:51
#10 0x00007fcbac4b7fe4 in PlayerContainer::updateInfo (this=0x1b4f890) at /usr/src/debug/kdebase-workspace-4.6.0/plasma/generic/dataengines/nowplaying/playercontainer.cpp:79
Comment 46 Beat Wolf 2011-11-21 22:52:57 UTC
if the patch still works, can it be submitted to https://git.reviewboard.kde.org ? here it only gets lost.
Comment 47 Aaron J. Seigo 2011-11-22 07:46:10 UTC
Git commit 42b2312a787ae40b880bde2ba751ac1e870847f7 by Aaron Seigo.
Committed on 22/11/2011 at 08:44.
Pushed by aseigo into branch 'master'.

fix check for artwork loaded

patch by Cesar Garcia
CCBUG:209004

M  +1    -1    plasma/generic/dataengines/nowplaying/playerinterface/mpris/mpris.cpp

http://commits.kde.org/kde-workspace/42b2312a787ae40b880bde2ba751ac1e870847f7
Comment 48 Beat Wolf 2011-11-22 07:48:49 UTC
the patch looks pushed. Can somebody confirm that it works now and the bug can be closed?
Comment 49 Aaron J. Seigo 2011-11-22 08:04:35 UTC
it won't fix the crash (whatever is/was causing it), it just improves CPU usage.
Comment 50 Alex Merry 2012-05-17 10:31:25 UTC
The nowplaying engine has been largely rewritten for 4.9.  If you still have crashes with that version, please either reopen (if it is triggered in the same way) or file a new bug.